Bug 508834 - low latency test (cmd_args.py) raises exception: NameError conf_file
low latency test (cmd_args.py) raises exception: NameError conf_file
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.2
All Linux
low Severity medium
: 1.2
: ---
Assigned To: Robert Rati
Martin Kudlej
:
Depends On:
Blocks: 527551
  Show dependency treegraph
 
Reported: 2009-06-30 03:36 EDT by Martin Kudlej
Modified: 2009-12-03 04:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid bug fix C: Something to do with low latency C: An exception was raised F: R: MORE INFO REQUIRED FOR RELNOTE
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 04:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2009-06-30 03:36:23 EDT
Version-Release number of selected component (if applicable):
condor-low-latency-1.0-14.el5

How reproducible:
100%

Steps to Reproduce:
$ PACK=$(rpm -q condor-job-hooks | sed -e "s/\(.*\)\.el[54]$/\1/")

$ VER=$(git-log --grep="Release of.*$PACK" | grep commit | awk '{print $2}')

$ git-checkout $VER

$ ./cmd_args.py
('"LL_BROKER_IP" is not defined',)
Traceback (most recent call last):
  File "./cmd_args.py", line 152, in ?
    sys.exit(main())
  File "./cmd_args.py", line 98, in main
    syslog.syslog(syslog.LOG_INFO, 'Attempting to retrieve config from %s' % conf_file)
NameError: global name 'conf_file' is not defined

Condor low latency is set by condor_configure_node:
$ condor_configure_node -n `hostname` -l
Configuration for ibm-pizzaro.rhts.bos.redhat.com:
central_manager
scheduler
startd
negotiator
collector
collector_name = test_pool
low_latency 
  
Actual results:
Exception raised.

Expected results:
Test pass.
Comment 1 Robert Rati 2009-08-17 15:46:12 EDT
Fixed in:
condor-low-latency-1.0-18
Comment 2 Martin Kudlej 2009-09-08 05:35:39 EDT
Tested on Rhel5 condor-low-latency 1.0-19 and it works --> VERIFIED.
Comment 3 Irina Boverman 2009-10-29 10:29:50 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.
Comment 4 Lana Brindley 2009-11-04 23:04:08 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,8 @@
-please see bug summary.+Grid bug fix
+
+C: Something to do with low latency
+C: An exception was raised
+F:
+R:
+
+MORE INFO REQUIRED FOR RELNOTE
Comment 5 Robert Rati 2009-11-05 09:22:27 EST
No release note needed.  This is a bug in a test script that is not shipped to the customer
Comment 7 errata-xmlrpc 2009-12-03 04:20:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html

Note You need to log in before you can comment on or make changes to this bug.